openSUSE Security Update : libarchive (openSUSE-2019-1196)

Medium Nessus Plugin ID 124051

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for libarchive fixes the following issues :

Security issues fixed :

- CVE-2018-1000877: Fixed a double free vulnerability in RAR decoder (bsc#1120653)

- CVE-2018-1000878: Fixed a Use-After-Free vulnerability in RAR decoder (bsc#1120654)

- CVE-2018-1000879: Fixed a NULL pointer Dereference vulnerability in ACL parser (bsc#1120656)

- CVE-2018-1000880: Fixed an Improper Input Validation vulnerability in WARC parser (bsc#1120659)

- CVE-2019-1000019: Fixed an Out-Of-Bounds Read vulnerability in 7zip decompression (bsc#1124341)

- CVE-2019-1000020: Fixed an Infinite Loop vulnerability in ISO9660 parser (bsc#1124342)

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected libarchive packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1120653

https://bugzilla.opensuse.org/show_bug.cgi?id=1120654

https://bugzilla.opensuse.org/show_bug.cgi?id=1120656

https://bugzilla.opensuse.org/show_bug.cgi?id=1120659

https://bugzilla.opensuse.org/show_bug.cgi?id=1124341

https://bugzilla.opensuse.org/show_bug.cgi?id=1124342

Plugin Details

Severity: Medium

ID: 124051

File Name: openSUSE-2019-1196.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2019/04/15

Updated: 2019/04/15

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:bsdtar, p-cpe:/a:novell:opensuse:bsdtar-debuginfo, p-cpe:/a:novell:opensuse:libarchive-debugsource, p-cpe:/a:novell:opensuse:libarchive-devel, p-cpe:/a:novell:opensuse:libarchive13, p-cpe:/a:novell:opensuse:libarchive13-32bit, p-cpe:/a:novell:opensuse:libarchive13-32bit-debuginfo, p-cpe:/a:novell:opensuse:libarchive13-debuginfo, cpe:/o:novell:opensuse:15.0

Patch Publication Date: 2019/04/12

Vulnerability Publication Date: 2018/12/20

Reference Information

CVE: CVE-2018-1000877, CVE-2018-1000878, CVE-2018-1000879, CVE-2018-1000880, CVE-2019-1000019, CVE-2019-1000020